<!DOCTYPE html>
<html>
<head>
  <title>Meat</title>
  <%= wicked_pdf_stylesheet_link_tag "pdf" %>
</head>
<body class="flat-blue">
  <div class="app-container">
    <div class="row content-container">
      <!-- Main Content -->
      <h2 class="text-center">LAPORAN BARANG MASUK DAN KELUAR</h2>
      <h2 class="text-center">MATHROCK INC</h2>
      <div class="container-fluid">
          <div class="side-body">
              <div class="row">
                  <div class="col-12">
                      <div class="card">
                          <div class="card-header">
                              <div class="card-title">
                              <div class="title">Transaksi Keluar</div>
                              </div>
                          </div>
                          <div class="card-body">
                              <table class="table table-bordered">
                                  <thead>
                                      <tr>
                                          <th bgcolor="#9adbf9">No</th>
                                          <th bgcolor="#9adbf9">Nama Barang</th>
                                          <th bgcolor="#9adbf9">Jenis Barang</th>
                                          <th bgcolor="#9adbf9">Ukuran Barang</th>
                                          <th bgcolor="#9adbf9">Total Unit</th>
                                          <th bgcolor="#9adbf9">Total Harga</th>
                                          <th bgcolor="#9adbf9">PPN</th>
                                          <th bgcolor="#9adbf9">Diskon</th>
                                          <th bgcolor="#9adbf9">Tanggal Transaksi</th>
                                      </tr>
                                  </thead>
                                  <tbody>
                                      <% no = 0 %>
                                      <% @transactions.each do |transaction| %>
                                      <% no += 1%>
                                      <tr>
                                        <td><%= no %></td>
                                        <td><%= transaction.product.name %></td>
                                        <td><%= transaction.product.type_product %></td>
                                        <td><%= transaction.product.size %></td>
                                        <td><%= transaction.total %></td>
                                        <td><%= transaction.total_price %></td>
                                        <td><%= transaction.ppn %></td>
                                        <td><%= transaction.discount %></td>
                                        <td><%= transaction.created_at.strftime('%d-%m-%Y %H:%M') %></td>
                                      </tr>
                                    <% end %>
                                    <td colspan="4">Total</td>
                                    <td><%= @total_transactions%></td>
                                    <td><%= @total_price_transactions%></td>
                                  </tbody>
                              </table>
                          </div>
                      </div>
                  </div>
                  <div class="col-12">
                      <div class="card">
                          <div class="card-header">
                              <div class="card-title">
                              <div class="title">Supply Barang</div>
                              </div>
                          </div>
                          <div class="card-body">
                              <table class="table table-bordered">
                                  <thead>
                                      <tr>
                                          <th bgcolor="#9adbf9">No</th>
                                          <th bgcolor="#9adbf9">Distributor</th>
                                          <th bgcolor="#9adbf9">Nama Barang</th>
                                          <th bgcolor="#9adbf9">Jenis Barang</th>
                                          <th bgcolor="#9adbf9">Ukuran Barang</th>
                                          <th bgcolor="#9adbf9">Unit Masuk</th>
                                          <th bgcolor="#9adbf9">Total Pembelian</th>
                                          <th bgcolor="#9adbf9">Tanggal Masuk</th>
                                      </tr>
                                  </thead>
                                  <tbody>
                                      <% no = 0 %>
                                      <% @supplies.each do |supply| %>
                                      <% no += 1%>
                                      <tr>
                                        <td><%= no %></td>
                                        <td><%= supply.distributor.name %></td>
                                        <td><%= supply.product.name %></td>
                                        <td><%= supply.product.type_product %></td>
                                        <td><%= supply.product.size %></td>
                                        <td><%= supply.total %></td>
                                        <td><%= supply.product.gross_amount * supply.total %></td>
                                        <td><%= supply.created_at.strftime('%d-%m-%Y %H:%M') %></td>
                                      </tr>
                                    <% end %>
                                    <td colspan="5">Total</td>
                                    <td><%= @total_supplies %></td>
                                    <td><%= @total_price_supplies %></td>
                                  </tbody>
                              </table>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
    </div>
  </div>
</body>
</html>
